---
title: '<base>: The Document Base URL element'
slug: Web/HTML/Element/base
tags:
  - Element
  - HTML
  - HTML document metadata
  - 'HTML:Metadata content'
  - Reference
---
<div>{{HTMLRef}}</div>

<p id="Summary"><span class="seoSummary">The <strong>HTML <code>&lt;base&gt;</code> element</strong> specifies the base URL to use for all <em>relative</em> URLs in a document.</span> There can be only one <code>&lt;base&gt;</code> element in a document.</p>

<p>A document's used base URL can be accessed by scripts with {{domxref('Node/baseURI')}}. If the document has no <code>&lt;base&gt;</code> elements, then <code>baseURI</code> defaults to {{domxref("location.href")}}.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td>Metadata content.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td>None, it is an {{Glossary("empty element")}}.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>There must be no closing tag.</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>A {{HTMLElement("head")}} that doesn't contain another {{HTMLElement("base")}} element.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">No corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>No <code>role</code> permitted</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLBaseElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element's attributes include the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<div class="notecard warning">
<p>If either of the following attributes are specified, this element <strong>must</strong> come before other elements with attribute values of URLs, such as {{HTMLElement("link")}}’s <code>href</code> attribute.</p>
</div>

<dl>
 <dt>{{htmlattrdef("href")}}</dt>
 <dd>The base URL to be used throughout the document for relative URLs. Absolute and relative URLs are allowed.</dd>
 <dt>{{htmlattrdef("target")}}</dt>
 <dd>A <strong>keyword</strong> or <strong>author-defined name</strong> of the default {{Glossary("browsing context")}} to show the results of navigation from {{HTMLElement("a")}}, {{HTMLElement("area")}}, or {{HTMLElement("form")}} elements without explicit <code>target</code> attributes.</dd>
 <dd>The following keywords have special meanings:
 <ul>
  <li><code>_self</code> (default): Show the result in the current browsing context.</li>
  <li><code>_blank</code>: Show the result in a new, unnamed browsing context.</li>
  <li><code>_parent</code>: Show the result in the parent browsing context of the current one, if the current page is inside a frame. If there is no parent, acts the same as <code>_self</code>.</li>
  <li><code>_top</code>: Show the result in the topmost browsing context (the browsing context that is an ancestor of the current one and has no parent). If there is no parent, acts the same as <code>_self</code>.</li>
 </ul>
 </dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<h3 id="Multiple_&lt;base&gt;_elements">Multiple &lt;base&gt; elements</h3>

<p>If multiple <code>&lt;base&gt;</code> elements are used, only the first <code>href</code> and first <code>target</code> are obeyed — all others are ignored.</p>

<h3 id="In-page_anchors">In-page anchors</h3>

<p>Links pointing to a fragment in the document — e.g. <code>&lt;a href="#some-id"&gt;</code> — are resolved with the <code>&lt;base&gt;</code>, triggering an HTTP request to the base URL with the fragment attached. For example:</p>

<ol>
 <li>Given <code>&lt;base href="https://example.com"&gt;</code></li>
 <li>...and this link: <code>&lt;a href="#anchor"&gt;Anker&lt;/a&gt;</code></li>
 <li>...the link points to <code>https://example.com/#anchor</code>.</li>
</ol>

<h3 id="Open_Graph">Open Graph</h3>

<p><a href="https://ogp.me/">Open Graph</a> tags do not acknowledge <code>&lt;base&gt;</code>, and should always have full absolute URLs. For example:</p>

<pre class="brush: html notranslate">&lt;meta property="og:image" content="https://example.com/thumbnail.jpg"&gt;</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: html notranslate">&lt;base href="https://www.example.com/"&gt;
&lt;base target="_blank"&gt;
&lt;base target="_top" href="https://example.com/"&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'semantics.html#the-base-element', '&lt;base&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change since last snapshot.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'document-metadata#the-base-element', '&lt;base&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Specified the behavior of <code>target</code></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/links.html#h-12.4', '&lt;base&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td>Added the <code>target</code> attribute</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.base")}}</p>
